
_locate:

;ADS1015_I2C_v01.mbas,21 :: 		sub procedure locate (dim x,y as byte)
;ADS1015_I2C_v01.mbas,22 :: 		uart1_write (0xA1) uart1_write (x) uart1_write (y)
	MOVLW      161
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVF       FARG_locate_x+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVF       FARG_locate_y+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,23 :: 		end sub
L_end_locate:
	RETURN
; end of _locate

_backlight_on:

;ADS1015_I2C_v01.mbas,25 :: 		sub procedure backlight_on
;ADS1015_I2C_v01.mbas,26 :: 		uart1_write(0xA5)  uart1_write(0x01)      ' Turnon backlight
	MOVLW      165
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      1
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,27 :: 		end sub
L_end_backlight_on:
	RETURN
; end of _backlight_on

_backlight_off:

;ADS1015_I2C_v01.mbas,28 :: 		sub procedure backlight_off
;ADS1015_I2C_v01.mbas,29 :: 		uart1_write(0xA5)  uart1_write(0x02)      ' Turnoff backlight
	MOVLW      165
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      2
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,30 :: 		end sub
L_end_backlight_off:
	RETURN
; end of _backlight_off

_init_ALCD204:

;ADS1015_I2C_v01.mbas,32 :: 		sub procedure init_ALCD204
;ADS1015_I2C_v01.mbas,33 :: 		uart1_write (0xA0)       ' Init ALCD204 ...
	MOVLW      160
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,34 :: 		delay_ms(100)
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__init_ALCD2044:
	DECFSZ     R13+0, 1
	GOTO       L__init_ALCD2044
	DECFSZ     R12+0, 1
	GOTO       L__init_ALCD2044
	DECFSZ     R11+0, 1
	GOTO       L__init_ALCD2044
	NOP
;ADS1015_I2C_v01.mbas,35 :: 		uart1_write (0xA3) uart1_write (0x01)   ' Clear ALCD204 ... Goto 0,0
	MOVLW      163
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      1
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,36 :: 		uart1_write (0xA3) uart1_write (0x0C)   ' Hide cursor
	MOVLW      163
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      12
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,37 :: 		end sub
L_end_init_ALCD204:
	RETURN
; end of _init_ALCD204

_Write_ALCD204_HEXA:

;ADS1015_I2C_v01.mbas,39 :: 		sub procedure Write_ALCD204_HEXA (dim x,y as byte, dim temp as word)
;ADS1015_I2C_v01.mbas,40 :: 		Locate (x,y)
	MOVF       FARG_Write_ALCD204_HEXA_x+0, 0
	MOVWF      FARG_locate_x+0
	MOVF       FARG_Write_ALCD204_HEXA_y+0, 0
	MOVWF      FARG_locate_y+0
	CALL       _locate+0
;ADS1015_I2C_v01.mbas,41 :: 		uart1_write(0xA7)     uart1_write(01)          ' prepare for hexa
	MOVLW      167
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      1
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,42 :: 		uart1_write(Hi(temp)) uart1_write(Lo(temp))    ' send temp in hexa
	MOVF       FARG_Write_ALCD204_HEXA_temp+1, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVF       FARG_Write_ALCD204_HEXA_temp+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,43 :: 		end sub
L_end_Write_ALCD204_HEXA:
	RETURN
; end of _Write_ALCD204_HEXA

_main:

;ADS1015_I2C_v01.mbas,47 :: 		main:
;ADS1015_I2C_v01.mbas,48 :: 		ANSEL = 0             ' Configure AN pins as digital I/O
	CLRF       ANSEL+0
;ADS1015_I2C_v01.mbas,49 :: 		ANSELH = 0
	CLRF       ANSELH+0
;ADS1015_I2C_v01.mbas,52 :: 		trisc=0x00
	CLRF       TRISC+0
;ADS1015_I2C_v01.mbas,53 :: 		portc=0
	CLRF       PORTC+0
;ADS1015_I2C_v01.mbas,54 :: 		INTCON.GIE = 0            ' Global interrupt disable
	BCF        INTCON+0, 7
;ADS1015_I2C_v01.mbas,56 :: 		uart1_init(9600)
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;ADS1015_I2C_v01.mbas,57 :: 		temp=0
	CLRF       _temp+0
	CLRF       _temp+1
;ADS1015_I2C_v01.mbas,58 :: 		cnt=0
	CLRF       _cnt+0
;ADS1015_I2C_v01.mbas,60 :: 		backlight_off
	CALL       _backlight_off+0
;ADS1015_I2C_v01.mbas,61 :: 		init_ALCD204
	CALL       _init_ALCD204+0
;ADS1015_I2C_v01.mbas,63 :: 		Soft_I2C_Init()      ' initialize I2C communication
	CALL       _Soft_I2C_Init+0
;ADS1015_I2C_v01.mbas,65 :: 		config = 0x8000 ' begin single conversion continuous
	MOVLW      0
	MOVWF      _config+0
	MOVLW      128
	MOVWF      _config+1
;ADS1015_I2C_v01.mbas,66 :: 		Mux = 4 ' 4 to 7  inputs Ain0, Ain1, Ain2, Ain3
	MOVLW      4
	MOVWF      _mux+0
	CLRF       _mux+1
;ADS1015_I2C_v01.mbas,69 :: 		PGA = 2 ' 0 to 7  scale  6144,4096,2048,1024,512,256,256,256
	MOVLW      2
	MOVWF      _PGA+0
	CLRF       _PGA+1
;ADS1015_I2C_v01.mbas,71 :: 		DR = 7  ' 0 to 7  speed  128,250,490,920,1600,2400,3300,3300
	MOVLW      7
	MOVWF      _DR+0
	CLRF       _DR+1
;ADS1015_I2C_v01.mbas,72 :: 		comp = 0
	CLRF       _comp+0
;ADS1015_I2C_v01.mbas,73 :: 		config = config or (mux << 12) or (PGA << 9 ) or (DR << 5) or comp
	MOVLW      12
	MOVWF      R2+0
	MOVF       _mux+0, 0
	MOVWF      R0+0
	MOVF       _mux+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__main20:
	BTFSC      STATUS+0, 2
	GOTO       L__main21
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__main20
L__main21:
	MOVLW      0
	IORWF      R0+0, 0
	MOVWF      _config+0
	MOVF       R0+1, 0
	IORLW      128
	MOVWF      _config+1
	MOVLW      9
	MOVWF      R2+0
	MOVF       _PGA+0, 0
	MOVWF      R0+0
	MOVF       _PGA+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__main22:
	BTFSC      STATUS+0, 2
	GOTO       L__main23
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__main22
L__main23:
	MOVF       R0+0, 0
	IORWF      _config+0, 1
	MOVF       R0+1, 0
	IORWF      _config+1, 1
	MOVLW      5
	MOVWF      R2+0
	MOVF       _DR+0, 0
	MOVWF      R0+0
	MOVF       _DR+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__main24:
	BTFSC      STATUS+0, 2
	GOTO       L__main25
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__main24
L__main25:
	MOVF       R0+0, 0
	IORWF      _config+0, 1
	MOVF       R0+1, 0
	IORWF      _config+1, 1
;ADS1015_I2C_v01.mbas,77 :: 		while (true)
L__main8:
;ADS1015_I2C_v01.mbas,78 :: 		portc.7 = 1
	BSF        PORTC+0, 7
;ADS1015_I2C_v01.mbas,79 :: 		Send_I2C_config (config)
	MOVLW      _config+0
	MOVWF      FARG_Send_I2C_config_config+0
	CALL       _Send_I2C_config+0
;ADS1015_I2C_v01.mbas,80 :: 		portc.7 = 0
	BCF        PORTC+0, 7
;ADS1015_I2C_v01.mbas,81 :: 		delay_us(100)
	MOVLW      66
	MOVWF      R13+0
L__main12:
	DECFSZ     R13+0, 1
	GOTO       L__main12
	NOP
;ADS1015_I2C_v01.mbas,82 :: 		temp = Read_I2C_2B () >> 4    ' adjust result right
	CALL       _Read_I2C_2B+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
	RRF        _temp+1, 1
	RRF        _temp+0, 1
	BCF        _temp+1, 7
	RRF        _temp+1, 1
	RRF        _temp+0, 1
	BCF        _temp+1, 7
	RRF        _temp+1, 1
	RRF        _temp+0, 1
	BCF        _temp+1, 7
	RRF        _temp+1, 1
	RRF        _temp+0, 1
	BCF        _temp+1, 7
;ADS1015_I2C_v01.mbas,83 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__main13:
	DECFSZ     R13+0, 1
	GOTO       L__main13
	DECFSZ     R12+0, 1
	GOTO       L__main13
	NOP
	NOP
;ADS1015_I2C_v01.mbas,86 :: 		Write_ALCD204_HEXA (0,0,temp)
	CLRF       FARG_Write_ALCD204_HEXA_x+0
	CLRF       FARG_Write_ALCD204_HEXA_y+0
	MOVF       _temp+0, 0
	MOVWF      FARG_Write_ALCD204_HEXA_temp+0
	MOVF       _temp+1, 0
	MOVWF      FARG_Write_ALCD204_HEXA_temp+1
	CALL       _Write_ALCD204_HEXA+0
;ADS1015_I2C_v01.mbas,87 :: 		Uart1_write (0xA6) Uart1_write (0x0D)    ' CR,LF for ALCD204
	MOVLW      166
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;ADS1015_I2C_v01.mbas,88 :: 		WordToStr (temp,txt5)          ' write temp as decimal number
	MOVF       _temp+0, 0
	MOVWF      FARG_WordToStr_input+0
	MOVF       _temp+1, 0
	MOVWF      FARG_WordToStr_input+1
	MOVLW      _txt5+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;ADS1015_I2C_v01.mbas,89 :: 		uart1_write(0xA2)  uart1_write_text(txt5)
	MOVLW      162
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	MOVLW      _txt5+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;ADS1015_I2C_v01.mbas,93 :: 		wend
	GOTO       L__main8
L_end_main:
	GOTO       $+0
; end of _main
