
_Send_I2C_config:

;ADS1015_I2C_Soft_01.mbas,22 :: 		sub procedure Send_I2C_config (dim byref config as word)
;ADS1015_I2C_Soft_01.mbas,24 :: 		Soft_I2C_Start ()
	CALL       _Soft_I2C_Start+0
;ADS1015_I2C_Soft_01.mbas,25 :: 		Soft_I2C_Write(Waddr)      ' send address via I2C (device address + W)
	MOVLW      144
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,28 :: 		Soft_I2C_Write(0x01)       ' config register
	MOVLW      1
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,31 :: 		Soft_I2C_Write( hi(config) )
	INCF       FARG_Send_I2C_config_config+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,34 :: 		Soft_I2C_Write( lo(config) )
	MOVF       FARG_Send_I2C_config_config+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,35 :: 		Soft_I2C_stop ()
	CALL       _Soft_I2C_Stop+0
;ADS1015_I2C_Soft_01.mbas,36 :: 		end sub
L_end_Send_I2C_config:
	RETURN
; end of _Send_I2C_config

_Read_I2C_2B:

;ADS1015_I2C_Soft_01.mbas,38 :: 		sub function Read_I2C_2B as word    ' receive 2 bytes with repeated start
;ADS1015_I2C_Soft_01.mbas,40 :: 		Soft_I2C_Start ()
	CALL       _Soft_I2C_Start+0
;ADS1015_I2C_Soft_01.mbas,41 :: 		Soft_I2C_Write(Waddr)
	MOVLW      144
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,43 :: 		Soft_I2C_Write(0x00)      ' conversion register
	CLRF       FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,45 :: 		Soft_I2C_Start ()
	CALL       _Soft_I2C_Start+0
;ADS1015_I2C_Soft_01.mbas,46 :: 		Soft_I2C_Write(Raddr)      ' send address via I2C (device address + R)
	MOVLW      145
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;ADS1015_I2C_Soft_01.mbas,47 :: 		hi(Read_I2C_2B)=Soft_I2C_Read(1)
	MOVLW      1
	MOVWF      FARG_Soft_I2C_Read_ack+0
	CLRF       FARG_Soft_I2C_Read_ack+1
	CALL       _Soft_I2C_Read+0
	MOVF       R0+0, 0
	MOVWF      Read_I2C_2B_local_result+1
;ADS1015_I2C_Soft_01.mbas,49 :: 		lo(Read_I2C_2B)=Soft_I2C_Read(0)
	CLRF       FARG_Soft_I2C_Read_ack+0
	CLRF       FARG_Soft_I2C_Read_ack+1
	CALL       _Soft_I2C_Read+0
	MOVF       R0+0, 0
	MOVWF      Read_I2C_2B_local_result+0
;ADS1015_I2C_Soft_01.mbas,51 :: 		Soft_I2C_stop ()
	CALL       _Soft_I2C_Stop+0
;ADS1015_I2C_Soft_01.mbas,52 :: 		end sub
	MOVF       Read_I2C_2B_local_result+0, 0
	MOVWF      R0+0
	MOVF       Read_I2C_2B_local_result+1, 0
	MOVWF      R0+1
L_end_Read_I2C_2B:
	RETURN
; end of _Read_I2C_2B
